"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, privateMap, value) {
    if (!privateMap.has(receiver)) {
        throw new TypeError("attempted to set private field on non-instance");
    }
    privateMap.set(receiver, value);
    return value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, privateMap) {
    if (!privateMap.has(receiver)) {
        throw new TypeError("attempted to get private field on non-instance");
    }
    return privateMap.get(receiver);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _key, _captcha;
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
class Captcha {
    constructor(key, captcha) {
        _key.set(this, void 0);
        _captcha.set(this, void 0);
        __classPrivateFieldSet(this, _key, key);
        __classPrivateFieldSet(this, _captcha, captcha);
    }
    verify() {
        console.log(this);
        return new Promise(async (resolve, reject) => {
            let res = await axios_1.default.post('https://www.google.com/recaptcha/api/siteverify', {
                secret: __classPrivateFieldGet(this, _key),
                response: __classPrivateFieldGet(this, _captcha)
            });
            if (!res.data.success)
                return resolve(false);
            return resolve(true);
        });
    }
}
exports.default = Captcha;
_key = new WeakMap(), _captcha = new WeakMap();
