import { dom, library } from '@fortawesome/fontawesome-svg-core'
import { faBars, faTimes } from '@fortawesome/free-solid-svg-icons'

const css = dom.css()

library.add(faBars, faTimes);
dom.watch();
dom.insertCss(css)

import gsap, { Power2 } from "gsap";

    let menu_open = document.getElementById('open'),
        menu_close = document.getElementById('close');
        
        menu_open.addEventListener('click', menuIn);
        menu_close.addEventListener('click', menuOut);

        function menuIn() {

            gsap.to('#mobile-menu', {
                duration: .25,
                left: 0,
                ease: Power2.easeOut
            })

        }


        function menuOut() {

            gsap.to('#mobile-menu', {
                duration: .25,
                left: '100vw',
                ease: Power2.easeOut
            })

        }